package com.zteits.oa;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.boot.autoconfigure.jdbc.DataSourceTransactionManagerAutoConfiguration;
import org.springframework.web.servlet.config.annotation.EnableWebMvc;


@SpringBootApplication
@EnableAutoConfiguration(exclude = {
	       DataSourceAutoConfiguration.class,
	       DataSourceTransactionManagerAutoConfiguration.class
	})
@MapperScan("com.zteits.oa.report.mapper")
public class DailyReportApplication {

	public static void main(String[] args) {
		SpringApplication.run(DailyReportApplication.class, args);
	}
}
